### Method

# Clutter Actor remove_all_children

#### Declaration [src]

    void
    clutter_actor_remove_all_children (
      ClutterActor* self
    )

#### Description [src]

Removes all children of `self`.

This function releases the reference added by inserting a child actor in the list of children of `self`.

If the reference count of a child drops to zero, the child will be destroyed. If you want to ensure the destruction of all the children of `self`, use clutter_actor_destroy_all_children().